/* jshint browser: true */
/* global $ */

function putPreview (arrayBuf) {
  var arrayBufView = new Uint8Array(arrayBuf)
  var blob = new Blob([arrayBufView.buffer], { type: "audio/ogg" })
  console.log(blob)
  var url = URL.createObjectURL(blob);
  var au = document.createElement('audio');

  //name of .wav file to use during upload and download (without extendion)
  var filename = new Date().toISOString();

  //add controls to the <audio> element
  au.controls = true;
  au.src = url;
  document.getElementById('preview').appendChild(au)
}

function critta(content) {
  // questa funzione non critta, ma si deve comunque chiamare così!
  console.log(content)
  $('#preview').show()
  putPreview(content)

  $('#upload').on('click', function () {
    // TODO: fai questo alla conferma
    var submit = new XMLHttpRequest()
    submit.open('POST', "upload/" + $('body').data('site'),true)
    submit.onload = function (evt) {
      console.log('ok, caricato!')
      $('#bar').hide()
      $('#spiegazione1').hide()
      $('#status').text('Hai lasciato un messaggio in segreteria, grazie!')
    }
    submit.send(content)
  })
}

$(function () {
  $('#preview').hide()
  $('#stop_record').hide()
  $('#visualizer').hide()
  $('#record_audio').on('click', function () {
    $('#record_audio').hide()
    $('#stop_record').show()
    $('#visualizer').show()
  })
  $('#stop_record').on('click', function () {
    $('#stop_record').hide()
    $('#visualizer').hide()
  })
})
